﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using WpfApplication1.MicrosoftTag;
using System.IO;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
       string YOURKEY="REPLACE THIS STRING WITH YOUR API KEY";
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
           
    
            URITag URItag = new URITag();
            URItag.MedFiUrl = "http:///wwww.i-programmer.info";
            URItag.Title = "MyTag";
            URItag.UTCStartDate = DateTime.Now   ;
           // URItag.UTCEndDate = new DateTime();
            MIBPContractClient Client = new MIBPContractClient();
            UserCredential Creds = new UserCredential();
            Creds.AccessToken = YOURKEY;

            Client.CreateTag(Creds, "Main", URItag);
       
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            URITag URItag = new URITag();
            URItag.Title = "MyTagNews";
            URItag.MedFiUrl = "http:///wwww.i-programmer.info/news";
            URItag.UTCStartDate = DateTime.Now;
            MIBPContractClient Client = new MIBPContractClient();
            UserCredential Creds = new UserCredential();
            Creds.AccessToken = YOURKEY;

            Client.UpdateTag(Creds, "Main","MyTag", URItag);
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            MIBPContractClient Client = new MIBPContractClient();
            UserCredential Creds = new UserCredential();
            Creds.AccessToken = YOURKEY;
            byte[] image = Client.GetBarcode(Creds, "Main", "MyTag", ImageTypes.png, 0.75f, DecorationType.HCCBRP_DECORATION_NONE,false);

           
            MemoryStream ms = new MemoryStream(image); 
            BitmapImage bmi = new BitmapImage(); 
            bmi.BeginInit(); 
            bmi.StreamSource = ms; 
            bmi.EndInit();
            image1.Source = bmi;
        }
    }
}
